# Class: Number

## M_.Form.Number()

Input number form ; only number are accepted

## Constructor

#### new Number()

##### Properties:

Name | Type | Description
--- | --- | ---
`decimalLength` | type |
`decimalSeparator` | type |
`decimalForced` | type |
`allowNegative` | type |
`valueMax` | type |
`valueMin` | type |
`startEmpty` | type |
`allowComparison` | type | allow signs : > or < or = or >= or <=

### Extends

- M_.Form.Text

### Methods

#### create() → {type}

Inherited From:
  - M_.Form.Input#create

##### Returns:

Type
  type

#### destroy()

Destroy the outlet

Inherited From:
  - M_.Outlet#destroy

#### disable() → {type}

Inherited From:
  - M_.Form.Input#disable

##### Returns:

Type
  type

#### enable() → {type}

Inherited From:
  - M_.Form.Input#enable

##### Returns:

Type
  type

#### findEl(selector) → {jQuery}

Search a class or selector in the container, like $.find()

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | string |

Inherited From:
  - M_.Outlet#findEl

##### Returns:

Type
  jQuery

#### getEl() → {jquery}

Return jEl element. Generally the main object.

Inherited From:
  - M_.Outlet#getEl

##### Returns:

the main jQuery element

Type
  jquery

#### getValue(serialized) → {type}

##### Parameters:

Name | Type | Default | Description
--- | --- | --- | ---
`serialized` | Boolean | false |

Overrides:
  - M_.Form.Text#getValue

##### Returns:

Type
  type

#### hide() → {type}

Inherited From:
  - M_.Form.Input#hide

##### Returns:

Type
  type

#### informValid(ok) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`ok` | type |

Inherited From:
  - M_.Form.Input#informValid

##### Returns:

Type
  type

#### isEmpty() → {Boolean}

Inherited From:
  - M_.Form.Input#isEmpty

##### Returns:

Type
  Boolean

#### onKeyPress(evt) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`evt` | type |

Inherited From:
  - M_.Form.Text#onKeyPress

##### Returns:

Type
  type

#### onKeyup(evt) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`evt` | type |

Inherited From:
  - M_.Form.Text#onKeyup

##### Returns:

Type
  type

#### reset() → {type}

Inherited From:
  - M_.Form.Input#reset

##### Returns:

Type
  type

#### setLabel(txt)

##### Parameters:

Name | Type | Description
--- | --- | ---
`txt` | type |

Inherited From:
  - M_.Form.Input#setLabel

#### setValue(v)

##### Parameters:

Name | Type | Description
--- | --- | ---
`v` | type |

Overrides:
  - M_.Form.Text#setValue

#### show() → {type}

Inherited From:
  - M_.Form.Input#show

##### Returns:

Type
  type

#### valid() → {type}

Inherited From:
  - M_.Form.Input#valid

##### Returns:

Type
  type

#### validChar(txt) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`txt` | type |

Overrides:
  - M_.Form.Text#validChar

##### Returns:

Type
  type